{
  "root": true,
  "parser": "@typescript-eslint/parser",
  "plugins": ["@typescript-eslint", "prettier"],
  "extends": [
      "plugin:@typescript-eslint/eslint-recommended",
      "plugin:@typescript-eslint/recommended"
  ],
  "rules": {
      "prettier/prettier": [
          "error",
          {
            "endOfLine": "auto"
          }
        ],
      "no-multiple-empty-lines": [
          "error",
          {
              "max": 1,
              "maxBOF": 0,
              "maxEOF": 0
          }
      ],
      "no-plusplus": [
          "error",
          {
              "allowForLoopAfterthoughts": true
          }
      ],
      "@typescript-eslint/no-unused-vars": "error"
  }
}
